/[emacs]/emacs/configure
ViewVC logotype

Diff of /emacs/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.92.2.1 by miles, Fri Apr 4 06:19:46 2003 UTC revision 1.92.2.2 by miles, Tue Oct 14 23:59:08 2003 UTC
# Line 309  ac_includes_default="\ Line 309  ac_includes_default="\
309  # include <unistd.h>  # include <unistd.h>
310  #endif"  #endif"
311    
312  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO EGREP LIBSOUND SET_MAKE PKG_CONFIG GTK_CFLAGS GTK_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID KMEM_GROUP GETLOADAVG_LIBS version configuration canonical srcdir lispdir locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile carbon_appdir LTLIBOBJS'  ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT LN_S CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA RANLIB ac_ct_RANLIB INSTALL_INFO EGREP LIBSOUND SET_MAKE PKG_CONFIG GTK_CFLAGS GTK_LIBS ALLOCA liblockfile LIBOBJS NEED_SETGID KMEM_GROUP GETLOADAVG_LIBS version configuration canonical srcdir lispdir locallisppath lisppath x_default_search_path etcdir archlibdir docdir bitmapdir gamedir gameuser c_switch_system c_switch_machine LD_SWITCH_X_SITE LD_SWITCH_X_SITE_AUX C_SWITCH_X_SITE X_TOOLKIT_TYPE machfile opsysfile carbon_appdir LTLIBOBJS'
313  ac_subst_files=''  ac_subst_files=''
314    
315  # Initialize some variables set by options.  # Initialize some variables set by options.
# Line 855  Optional Features: Line 855  Optional Features:
855    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
856    --enable-carbon-app[=DIR]  [DIR=/Application]    --enable-carbon-app[=DIR]  [DIR=/Application]
857                            specify install directory for Emacs.app on Mac OS X                            specify install directory for Emacs.app on Mac OS X
858      --enable-maintainer-mode enable make rules and dependencies not useful
859                              (and sometimes confusing) to the casual installer
860    --disable-largefile     omit support for large files    --disable-largefile     omit support for large files
861    
862  Optional Packages:  Optional Packages:
# Line 948  ac_abs_top_srcdir=`cd "$ac_dir" && cd $a Line 950  ac_abs_top_srcdir=`cd "$ac_dir" && cd $a
950      else      else
951        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
952      fi      fi
953      cd $ac_popdir      cd "$ac_popdir"
954    done    done
955  fi  fi
956    
# Line 1145  _ASBOX Line 1147  _ASBOX
1147        echo "$as_me: caught signal $ac_signal"        echo "$as_me: caught signal $ac_signal"
1148      echo "$as_me: exit $exit_status"      echo "$as_me: exit $exit_status"
1149    } >&5    } >&5
1150    rm -f core core.* *.core &&    rm -f core *.core &&
1151    rm -rf conftest* confdefs* conf$$* $ac_clean_files &&    rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1152      exit $exit_status      exit $exit_status
1153       ' 0       ' 0
# Line 1485  if test "${enable_carbon_app+set}" = set Line 1487  if test "${enable_carbon_app+set}" = set
1487     carbon_appdir_x=${enableval}     carbon_appdir_x=${enableval}
1488  fi;  fi;
1489    
1490    # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
1491    if test "${enable_maintainer_mode+set}" = set; then
1492      enableval="$enable_maintainer_mode"
1493      USE_MAINTAINER_MODE=$enableval
1494    else
1495      USE_MAINTAINER_MODE=no
1496    fi;
1497    if test $USE_MAINTAINER_MODE = yes; then
1498      MAINT=
1499    else
1500      MAINT=#
1501    fi
1502    
1503    
1504  #### Make srcdir absolute, if it isn't already.  It's important to  #### Make srcdir absolute, if it isn't already.  It's important to
1505  #### avoid running the path through pwd unnecessarily, since pwd can  #### avoid running the path through pwd unnecessarily, since pwd can
1506  #### give you automounter prefixes, which can go away.  We do all this  #### give you automounter prefixes, which can go away.  We do all this
# Line 1662  case "${canonical}" in Line 1678  case "${canonical}" in
1678    ## NetBSD ports    ## NetBSD ports
1679    *-*-netbsd* )    *-*-netbsd* )
1680      opsys=netbsd      opsys=netbsd
1681        if test -f /usr/lib/crti.o; then
1682    
1683    cat >>confdefs.h <<\_ACEOF
1684    #define HAVE_CRTIN
1685    _ACEOF
1686    
1687       fi
1688    
1689      case "${canonical}" in      case "${canonical}" in
1690        alpha*-*-netbsd*) machine=alpha ;;        alpha*-*-netbsd*) machine=alpha ;;
1691        i[3456]86-*-netbsd*) machine=intel386 ;;        i[3456]86-*-netbsd*) machine=intel386 ;;
# Line 2058  case "${canonical}" in Line 2082  case "${canonical}" in
2082    i370-ibm-aix*)    i370-ibm-aix*)
2083      machine=ibm370aix opsys=usg5-3      machine=ibm370aix opsys=usg5-3
2084    ;;    ;;
2085    s390-*-linux-gnu)    s390-*-linux-gnu* )
2086      machine=ibms390 opsys=gnu-linux      machine=ibms390 opsys=gnu-linux
2087    ;;    ;;
2088    rs6000-ibm-aix3.1* | powerpc-ibm-aix3.1*  )    rs6000-ibm-aix3.1* | powerpc-ibm-aix3.1*  )
# Line 2073  case "${canonical}" in Line 2097  case "${canonical}" in
2097    rs6000-ibm-aix4.2* | powerpc-ibm-aix4.2*  )    rs6000-ibm-aix4.2* | powerpc-ibm-aix4.2*  )
2098      machine=ibmrs6000 opsys=aix4-2      machine=ibmrs6000 opsys=aix4-2
2099    ;;    ;;
2100    rs6000-ibm-aix5.1* | powerpc-ibm-aix5.1*  )    rs6000-ibm-aix5* | powerpc-ibm-aix5*  )
2101      machine=ibmrs6000 opsys=aix4-2      machine=ibmrs6000 opsys=aix4-2
2102    ;;    ;;
2103    rs6000-ibm-aix4.0* | powerpc-ibm-aix4.0*  )    rs6000-ibm-aix4.0* | powerpc-ibm-aix4.0*  )
# Line 2518  case "${canonical}" in Line 2542  case "${canonical}" in
2542                                  OVERRIDE_CPPFLAGS=" "                                  OVERRIDE_CPPFLAGS=" "
2543                                  ;;                                  ;;
2544        *-sysv4.2uw* )            opsys=unixware; NON_GNU_CPP=/lib/cpp ;;        *-sysv4.2uw* )            opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
2545          *-sysv5uw* )              opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
2546          *-sysv5OpenUNIX* )        opsys=unixware; NON_GNU_CPP=/lib/cpp ;;
2547        *-386bsd* )               opsys=386bsd ;;        *-386bsd* )               opsys=386bsd ;;
2548        *-nextstep* )             opsys=nextstep ;;        *-nextstep* )             opsys=nextstep ;;
2549        ## Otherwise, we'll fall through to the generic opsys code at the bottom.        ## Otherwise, we'll fall through to the generic opsys code at the bottom.
# Line 2550  case "${canonical}" in Line 2576  case "${canonical}" in
2576    powerpc-apple-darwin* )    powerpc-apple-darwin* )
2577      machine=powermac opsys=darwin      machine=powermac opsys=darwin
2578      # Define CPP as follows to make autoconf work correctly.      # Define CPP as follows to make autoconf work correctly.
2579      CPP="cc -E -traditional-cpp"      CPP="gcc -E -no-cpp-precomp"
2580    ;;    ;;
2581    
2582    ## AMD x86-64 Linux-based GNU system    ## AMD x86-64 Linux-based GNU system
# Line 2580  if test x"${opsys}" = x; then Line 2606  if test x"${opsys}" = x; then
2606      *-sysv2.2 | *-sysvr2.2 )            opsys=usg5-2-2 ;;      *-sysv2.2 | *-sysvr2.2 )            opsys=usg5-2-2 ;;
2607      *-sysv3* | *-sysvr3* )              opsys=usg5-3 ;;      *-sysv3* | *-sysvr3* )              opsys=usg5-3 ;;
2608      *-sysv4.2uw* )                      opsys=unixware ;;      *-sysv4.2uw* )                      opsys=unixware ;;
2609        *-sysv5uw* )                        opsys=unixware ;;
2610        *-sysv5OpenUNIX* )                  opsys=unixware ;;
2611      *-sysv4.1* | *-sysvr4.1* )      *-sysv4.1* | *-sysvr4.1* )
2612          NON_GNU_CPP=/usr/lib/cpp          NON_GNU_CPP=/usr/lib/cpp
2613          opsys=usg5-4 ;;          opsys=usg5-4 ;;
# Line 3392  if { (eval echo "$as_me:$LINENO: \"$ac_c Line 3420  if { (eval echo "$as_me:$LINENO: \"$ac_c
3420    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
3421    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
3422    for ac_declaration in \    for ac_declaration in \
3423     ''\     '' \
    '#include <stdlib.h>' \  
3424     'extern "C" void std::exit (int) throw (); using std::exit;' \     'extern "C" void std::exit (int) throw (); using std::exit;' \
3425     'extern "C" void std::exit (int); using std::exit;' \     'extern "C" void std::exit (int); using std::exit;' \
3426     'extern "C" void exit (int) throw ();' \     'extern "C" void exit (int) throw ();' \
# Line 3407  _ACEOF Line 3434  _ACEOF
3434  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
3435  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
3436  /* end confdefs.h.  */  /* end confdefs.h.  */
 #include <stdlib.h>  
3437  $ac_declaration  $ac_declaration
3438    #include <stdlib.h>
3439  int  int
3440  main ()  main ()
3441  {  {
# Line 4721  sed 's/^/| /' conftest.$ac_ext >&5 Line 4748  sed 's/^/| /' conftest.$ac_ext >&5
4748  ( exit $ac_status )  ( exit $ac_status )
4749  ac_cv_header_stdc=no  ac_cv_header_stdc=no
4750  fi  fi
4751  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4752  fi  fi
4753  fi  fi
4754  fi  fi
# Line 5028  fi Line 5055  fi
5055    
5056    
5057    
5058    
5059  for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \  for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \
5060    linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \    linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \
5061    termcap.h stdio_ext.h fcntl.h term.h strings.h coff.h pty.h sys/mman.h \    termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \
5062    sys/param.h sys/vlimit.h sys/resource.h    sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h
5063  do  do
5064  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
5065  if eval "test \"\${$as_ac_Header+set}\" = set"; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 5373  sed 's/^/| /' conftest.$ac_ext >&5 Line 5401  sed 's/^/| /' conftest.$ac_ext >&5
5401  ( exit $ac_status )  ( exit $ac_status )
5402  ac_cv_header_stdc=no  ac_cv_header_stdc=no
5403  fi  fi
5404  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
5405  fi  fi
5406  fi  fi
5407  fi  fi
# Line 6243  _ACEOF Line 6271  _ACEOF
6271    
6272  fi  fi
6273    
6274    echo "$as_me:$LINENO: checking for struct ifreq.ifr_flags" >&5
6275    echo $ECHO_N "checking for struct ifreq.ifr_flags... $ECHO_C" >&6
6276    if test "${ac_cv_member_struct_ifreq_ifr_flags+set}" = set; then
6277      echo $ECHO_N "(cached) $ECHO_C" >&6
6278    else
6279      cat >conftest.$ac_ext <<_ACEOF
6280    #line $LINENO "configure"
6281    /* confdefs.h.  */
6282    _ACEOF
6283    cat confdefs.h >>conftest.$ac_ext
6284    cat >>conftest.$ac_ext <<_ACEOF
6285    /* end confdefs.h.  */
6286    #include <net/if.h>
6287    
6288    int
6289    main ()
6290    {
6291    static struct ifreq ac_aggr;
6292    if (ac_aggr.ifr_flags)
6293    return 0;
6294      ;
6295      return 0;
6296    }
6297    _ACEOF
6298    rm -f conftest.$ac_objext
6299    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6300      (eval $ac_compile) 2>&5
6301      ac_status=$?
6302      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6303      (exit $ac_status); } &&
6304             { ac_try='test -s conftest.$ac_objext'
6305      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6306      (eval $ac_try) 2>&5
6307      ac_status=$?
6308      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6309      (exit $ac_status); }; }; then
6310      ac_cv_member_struct_ifreq_ifr_flags=yes
6311    else
6312      echo "$as_me: failed program was:" >&5
6313    sed 's/^/| /' conftest.$ac_ext >&5
6314    
6315    cat >conftest.$ac_ext <<_ACEOF
6316    #line $LINENO "configure"
6317    /* confdefs.h.  */
6318    _ACEOF
6319    cat confdefs.h >>conftest.$ac_ext
6320    cat >>conftest.$ac_ext <<_ACEOF
6321    /* end confdefs.h.  */
6322    #include <net/if.h>
6323    
6324    int
6325    main ()
6326    {
6327    static struct ifreq ac_aggr;
6328    if (sizeof ac_aggr.ifr_flags)
6329    return 0;
6330      ;
6331      return 0;
6332    }
6333    _ACEOF
6334    rm -f conftest.$ac_objext
6335    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6336      (eval $ac_compile) 2>&5
6337      ac_status=$?
6338      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6339      (exit $ac_status); } &&
6340             { ac_try='test -s conftest.$ac_objext'
6341      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6342      (eval $ac_try) 2>&5
6343      ac_status=$?
6344      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6345      (exit $ac_status); }; }; then
6346      ac_cv_member_struct_ifreq_ifr_flags=yes
6347    else
6348      echo "$as_me: failed program was:" >&5
6349    sed 's/^/| /' conftest.$ac_ext >&5
6350    
6351    ac_cv_member_struct_ifreq_ifr_flags=no
6352    fi
6353    rm -f conftest.$ac_objext conftest.$ac_ext
6354    fi
6355    rm -f conftest.$ac_objext conftest.$ac_ext
6356    fi
6357    echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_flags" >&5
6358    echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_flags" >&6
6359    if test $ac_cv_member_struct_ifreq_ifr_flags = yes; then
6360    
6361    cat >>confdefs.h <<_ACEOF
6362    #define HAVE_STRUCT_IFREQ_IFR_FLAGS 1
6363    _ACEOF
6364    
6365    
6366    fi
6367    echo "$as_me:$LINENO: checking for struct ifreq.ifr_hwaddr" >&5
6368    echo $ECHO_N "checking for struct ifreq.ifr_hwaddr... $ECHO_C" >&6
6369    if test "${ac_cv_member_struct_ifreq_ifr_hwaddr+set}" = set; then
6370      echo $ECHO_N "(cached) $ECHO_C" >&6
6371    else
6372      cat >conftest.$ac_ext <<_ACEOF
6373    #line $LINENO "configure"
6374    /* confdefs.h.  */
6375    _ACEOF
6376    cat confdefs.h >>conftest.$ac_ext
6377    cat >>conftest.$ac_ext <<_ACEOF
6378    /* end confdefs.h.  */
6379    #include <net/if.h>
6380    
6381    int
6382    main ()
6383    {
6384    static struct ifreq ac_aggr;
6385    if (ac_aggr.ifr_hwaddr)
6386    return 0;
6387      ;
6388      return 0;
6389    }
6390    _ACEOF
6391    rm -f conftest.$ac_objext
6392    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6393      (eval $ac_compile) 2>&5
6394      ac_status=$?
6395      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6396      (exit $ac_status); } &&
6397             { ac_try='test -s conftest.$ac_objext'
6398      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6399      (eval $ac_try) 2>&5
6400      ac_status=$?
6401      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6402      (exit $ac_status); }; }; then
6403      ac_cv_member_struct_ifreq_ifr_hwaddr=yes
6404    else
6405      echo "$as_me: failed program was:" >&5
6406    sed 's/^/| /' conftest.$ac_ext >&5
6407    
6408    cat >conftest.$ac_ext <<_ACEOF
6409    #line $LINENO "configure"
6410    /* confdefs.h.  */
6411    _ACEOF
6412    cat confdefs.h >>conftest.$ac_ext
6413    cat >>conftest.$ac_ext <<_ACEOF
6414    /* end confdefs.h.  */
6415    #include <net/if.h>
6416    
6417    int
6418    main ()
6419    {
6420    static struct ifreq ac_aggr;
6421    if (sizeof ac_aggr.ifr_hwaddr)
6422    return 0;
6423      ;
6424      return 0;
6425    }
6426    _ACEOF
6427    rm -f conftest.$ac_objext
6428    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6429      (eval $ac_compile) 2>&5
6430      ac_status=$?
6431      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6432      (exit $ac_status); } &&
6433             { ac_try='test -s conftest.$ac_objext'
6434      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6435      (eval $ac_try) 2>&5
6436      ac_status=$?
6437      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6438      (exit $ac_status); }; }; then
6439      ac_cv_member_struct_ifreq_ifr_hwaddr=yes
6440    else
6441      echo "$as_me: failed program was:" >&5
6442    sed 's/^/| /' conftest.$ac_ext >&5
6443    
6444    ac_cv_member_struct_ifreq_ifr_hwaddr=no
6445    fi
6446    rm -f conftest.$ac_objext conftest.$ac_ext
6447    fi
6448    rm -f conftest.$ac_objext conftest.$ac_ext
6449    fi
6450    echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_hwaddr" >&5
6451    echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_hwaddr" >&6
6452    if test $ac_cv_member_struct_ifreq_ifr_hwaddr = yes; then
6453    
6454    cat >>confdefs.h <<_ACEOF
6455    #define HAVE_STRUCT_IFREQ_IFR_HWADDR 1
6456    _ACEOF
6457    
6458    
6459    fi
6460    echo "$as_me:$LINENO: checking for struct ifreq.ifr_netmask" >&5
6461    echo $ECHO_N "checking for struct ifreq.ifr_netmask... $ECHO_C" >&6
6462    if test "${ac_cv_member_struct_ifreq_ifr_netmask+set}" = set; then
6463      echo $ECHO_N "(cached) $ECHO_C" >&6
6464    else
6465      cat >conftest.$ac_ext <<_ACEOF
6466    #line $LINENO "configure"
6467    /* confdefs.h.  */
6468    _ACEOF
6469    cat confdefs.h >>conftest.$ac_ext
6470    cat >>conftest.$ac_ext <<_ACEOF
6471    /* end confdefs.h.  */
6472    #include <net/if.h>
6473    
6474    int
6475    main ()
6476    {
6477    static struct ifreq ac_aggr;
6478    if (ac_aggr.ifr_netmask)
6479    return 0;
6480      ;
6481      return 0;
6482    }
6483    _ACEOF
6484    rm -f conftest.$ac_objext
6485    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6486      (eval $ac_compile) 2>&5
6487      ac_status=$?
6488      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6489      (exit $ac_status); } &&
6490             { ac_try='test -s conftest.$ac_objext'
6491      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6492      (eval $ac_try) 2>&5
6493      ac_status=$?
6494      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6495      (exit $ac_status); }; }; then
6496      ac_cv_member_struct_ifreq_ifr_netmask=yes
6497    else
6498      echo "$as_me: failed program was:" >&5
6499    sed 's/^/| /' conftest.$ac_ext >&5
6500    
6501    cat >conftest.$ac_ext <<_ACEOF
6502    #line $LINENO "configure"
6503    /* confdefs.h.  */
6504    _ACEOF
6505    cat confdefs.h >>conftest.$ac_ext
6506    cat >>conftest.$ac_ext <<_ACEOF
6507    /* end confdefs.h.  */
6508    #include <net/if.h>
6509    
6510    int
6511    main ()
6512    {
6513    static struct ifreq ac_aggr;
6514    if (sizeof ac_aggr.ifr_netmask)
6515    return 0;
6516      ;
6517      return 0;
6518    }
6519    _ACEOF
6520    rm -f conftest.$ac_objext
6521    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6522      (eval $ac_compile) 2>&5
6523      ac_status=$?
6524      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6525      (exit $ac_status); } &&
6526             { ac_try='test -s conftest.$ac_objext'
6527      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6528      (eval $ac_try) 2>&5
6529      ac_status=$?
6530      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6531      (exit $ac_status); }; }; then
6532      ac_cv_member_struct_ifreq_ifr_netmask=yes
6533    else
6534      echo "$as_me: failed program was:" >&5
6535    sed 's/^/| /' conftest.$ac_ext >&5
6536    
6537    ac_cv_member_struct_ifreq_ifr_netmask=no
6538    fi
6539    rm -f conftest.$ac_objext conftest.$ac_ext
6540    fi
6541    rm -f conftest.$ac_objext conftest.$ac_ext
6542    fi
6543    echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_netmask" >&5
6544    echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_netmask" >&6
6545    if test $ac_cv_member_struct_ifreq_ifr_netmask = yes; then
6546    
6547    cat >>confdefs.h <<_ACEOF
6548    #define HAVE_STRUCT_IFREQ_IFR_NETMASK 1
6549    _ACEOF
6550    
6551    
6552    fi
6553    echo "$as_me:$LINENO: checking for struct ifreq.ifr_broadaddr" >&5
6554    echo $ECHO_N "checking for struct ifreq.ifr_broadaddr... $ECHO_C" >&6
6555    if test "${ac_cv_member_struct_ifreq_ifr_broadaddr+set}" = set; then
6556      echo $ECHO_N "(cached) $ECHO_C" >&6
6557    else
6558      cat >conftest.$ac_ext <<_ACEOF
6559    #line $LINENO "configure"
6560    /* confdefs.h.  */
6561    _ACEOF
6562    cat confdefs.h >>conftest.$ac_ext
6563    cat >>conftest.$ac_ext <<_ACEOF
6564    /* end confdefs.h.  */
6565    #include <net/if.h>
6566    
6567    int
6568    main ()
6569    {
6570    static struct ifreq ac_aggr;
6571    if (ac_aggr.ifr_broadaddr)
6572    return 0;
6573      ;
6574      return 0;
6575    }
6576    _ACEOF
6577    rm -f conftest.$ac_objext
6578    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6579      (eval $ac_compile) 2>&5
6580      ac_status=$?
6581      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6582      (exit $ac_status); } &&
6583             { ac_try='test -s conftest.$ac_objext'
6584      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6585      (eval $ac_try) 2>&5
6586      ac_status=$?
6587      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6588      (exit $ac_status); }; }; then
6589      ac_cv_member_struct_ifreq_ifr_broadaddr=yes
6590    else
6591      echo "$as_me: failed program was:" >&5
6592    sed 's/^/| /' conftest.$ac_ext >&5
6593    
6594    cat >conftest.$ac_ext <<_ACEOF
6595    #line $LINENO "configure"
6596    /* confdefs.h.  */
6597    _ACEOF
6598    cat confdefs.h >>conftest.$ac_ext
6599    cat >>conftest.$ac_ext <<_ACEOF
6600    /* end confdefs.h.  */
6601    #include <net/if.h>
6602    
6603    int
6604    main ()
6605    {
6606    static struct ifreq ac_aggr;
6607    if (sizeof ac_aggr.ifr_broadaddr)
6608    return 0;
6609      ;
6610      return 0;
6611    }
6612    _ACEOF
6613    rm -f conftest.$ac_objext
6614    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6615      (eval $ac_compile) 2>&5
6616      ac_status=$?
6617      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6618      (exit $ac_status); } &&
6619             { ac_try='test -s conftest.$ac_objext'
6620      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6621      (eval $ac_try) 2>&5
6622      ac_status=$?
6623      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6624      (exit $ac_status); }; }; then
6625      ac_cv_member_struct_ifreq_ifr_broadaddr=yes
6626    else
6627      echo "$as_me: failed program was:" >&5
6628    sed 's/^/| /' conftest.$ac_ext >&5
6629    
6630    ac_cv_member_struct_ifreq_ifr_broadaddr=no
6631    fi
6632    rm -f conftest.$ac_objext conftest.$ac_ext
6633    fi
6634    rm -f conftest.$ac_objext conftest.$ac_ext
6635    fi
6636    echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_broadaddr" >&5
6637    echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_broadaddr" >&6
6638    if test $ac_cv_member_struct_ifreq_ifr_broadaddr = yes; then
6639    
6640    cat >>confdefs.h <<_ACEOF
6641    #define HAVE_STRUCT_IFREQ_IFR_BROADADDR 1
6642    _ACEOF
6643    
6644    
6645    fi
6646    echo "$as_me:$LINENO: checking for struct ifreq.ifr_addr" >&5
6647    echo $ECHO_N "checking for struct ifreq.ifr_addr... $ECHO_C" >&6
6648    if test "${ac_cv_member_struct_ifreq_ifr_addr+set}" = set; then
6649      echo $ECHO_N "(cached) $ECHO_C" >&6
6650    else
6651      cat >conftest.$ac_ext <<_ACEOF
6652    #line $LINENO "configure"
6653    /* confdefs.h.  */
6654    _ACEOF
6655    cat confdefs.h >>conftest.$ac_ext
6656    cat >>conftest.$ac_ext <<_ACEOF
6657    /* end confdefs.h.  */
6658    #include <net/if.h>
6659    
6660    int
6661    main ()
6662    {
6663    static struct ifreq ac_aggr;
6664    if (ac_aggr.ifr_addr)
6665    return 0;
6666      ;
6667      return 0;
6668    }
6669    _ACEOF
6670    rm -f conftest.$ac_objext
6671    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6672      (eval $ac_compile) 2>&5
6673      ac_status=$?
6674      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6675      (exit $ac_status); } &&
6676             { ac_try='test -s conftest.$ac_objext'
6677      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6678      (eval $ac_try) 2>&5
6679      ac_status=$?
6680      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6681      (exit $ac_status); }; }; then
6682      ac_cv_member_struct_ifreq_ifr_addr=yes
6683    else
6684      echo "$as_me: failed program was:" >&5
6685    sed 's/^/| /' conftest.$ac_ext >&5
6686    
6687    cat >conftest.$ac_ext <<_ACEOF
6688    #line $LINENO "configure"
6689    /* confdefs.h.  */
6690    _ACEOF
6691    cat confdefs.h >>conftest.$ac_ext
6692    cat >>conftest.$ac_ext <<_ACEOF
6693    /* end confdefs.h.  */
6694    #include <net/if.h>
6695    
6696    int
6697    main ()
6698    {
6699    static struct ifreq ac_aggr;
6700    if (sizeof ac_aggr.ifr_addr)
6701    return 0;
6702      ;
6703      return 0;
6704    }
6705    _ACEOF
6706    rm -f conftest.$ac_objext
6707    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6708      (eval $ac_compile) 2>&5
6709      ac_status=$?
6710      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6711      (exit $ac_status); } &&
6712             { ac_try='test -s conftest.$ac_objext'
6713      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6714      (eval $ac_try) 2>&5
6715      ac_status=$?
6716      echo "$as_me:$LINENO: \$? = $ac_status" >&5
6717      (exit $ac_status); }; }; then
6718      ac_cv_member_struct_ifreq_ifr_addr=yes
6719    else
6720      echo "$as_me: failed program was:" >&5
6721    sed 's/^/| /' conftest.$ac_ext >&5
6722    
6723    ac_cv_member_struct_ifreq_ifr_addr=no
6724    fi
6725    rm -f conftest.$ac_objext conftest.$ac_ext
6726    fi
6727    rm -f conftest.$ac_objext conftest.$ac_ext
6728    fi
6729    echo "$as_me:$LINENO: result: $ac_cv_member_struct_ifreq_ifr_addr" >&5
6730    echo "${ECHO_T}$ac_cv_member_struct_ifreq_ifr_addr" >&6
6731    if test $ac_cv_member_struct_ifreq_ifr_addr = yes; then
6732    
6733    cat >>confdefs.h <<_ACEOF
6734    #define HAVE_STRUCT_IFREQ_IFR_ADDR 1
6735    _ACEOF
6736    
6737    
6738    fi
6739    
6740    
6741    
6742  echo "$as_me:$LINENO: checking for function prototypes" >&5  echo "$as_me:$LINENO: checking for function prototypes" >&5
# Line 7491  sed 's/^/| /' conftest.$ac_ext >&5 Line 7985  sed 's/^/| /' conftest.$ac_ext >&5
7985  ( exit $ac_status )  ( exit $ac_status )
7986  ac_cv_func_mmap_fixed_mapped=no  ac_cv_func_mmap_fixed_mapped=no
7987  fi  fi
7988  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7989  fi  fi
7990  fi  fi
7991  echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5  echo "$as_me:$LINENO: result: $ac_cv_func_mmap_fixed_mapped" >&5
# Line 7705  fi Line 8199  fi
8199  echo "$as_me:$LINENO: result: $HAVE_XFREE386" >&5  echo "$as_me:$LINENO: result: $HAVE_XFREE386" >&5
8200  echo "${ECHO_T}$HAVE_XFREE386" >&6  echo "${ECHO_T}$HAVE_XFREE386" >&6
8201    
8202    
8203    case ${host_os} in
8204    aix*)
8205      echo "$as_me:$LINENO: checking for -bbigtoc option" >&5
8206    echo $ECHO_N "checking for -bbigtoc option... $ECHO_C" >&6
8207    if test "${gdb_cv_bigtoc+set}" = set; then
8208      echo $ECHO_N "(cached) $ECHO_C" >&6
8209    else
8210    
8211        case $GCC in
8212        yes) gdb_cv_bigtoc=-Wl,-bbigtoc ;;
8213        *) gdb_cv_bigtoc=-bbigtoc ;;
8214        esac
8215    
8216        LDFLAGS=$LDFLAGS\ $gdb_cv_bigtoc
8217        cat >conftest.$ac_ext <<_ACEOF
8218    #line $LINENO "configure"
8219    /* confdefs.h.  */
8220    _ACEOF
8221    cat confdefs.h >>conftest.$ac_ext
8222    cat >>conftest.$ac_ext <<_ACEOF
8223    /* end confdefs.h.  */
8224    
8225    int
8226    main ()
8227    {
8228    int i;
8229      ;
8230      return 0;
8231    }
8232    _ACEOF
8233    rm -f conftest.$ac_objext conftest$ac_exeext
8234    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8235      (eval $ac_link) 2>&5
8236      ac_status=$?
8237      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8238      (exit $ac_status); } &&
8239             { ac_try='test -s conftest$ac_exeext'
8240      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8241      (eval $ac_try) 2>&5
8242      ac_status=$?
8243      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8244      (exit $ac_status); }; }; then
8245      :
8246    else
8247      echo "$as_me: failed program was:" >&5
8248    sed 's/^/| /' conftest.$ac_ext >&5
8249    
8250    gdb_cv_bigtoc=
8251    fi
8252    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
8253    
8254    fi
8255    echo "$as_me:$LINENO: result: $gdb_cv_bigtoc" >&5
8256    echo "${ECHO_T}$gdb_cv_bigtoc" >&6
8257      ;;
8258    esac
8259    
8260  # Change CFLAGS and CPPFLAGS temporarily so that C_SWITCH_X_SITE gets  # Change CFLAGS and CPPFLAGS temporarily so that C_SWITCH_X_SITE gets
8261  # used for the tests that follow.  We set them back to REAL_CFLAGS and  # used for the tests that follow.  We set them back to REAL_CFLAGS and
8262  # REAL_CPPFLAGS later on.  # REAL_CPPFLAGS later on.
# Line 8824  _ACEOF Line 9376  _ACEOF
9376    fi    fi
9377  fi  fi
9378    
9379    cat >conftest.$ac_ext <<_ACEOF
9380    #line $LINENO "configure"
9381    /* confdefs.h.  */
9382    _ACEOF
9383    cat confdefs.h >>conftest.$ac_ext
9384    cat >>conftest.$ac_ext <<_ACEOF
9385    /* end confdefs.h.  */
9386    
9387              #include <X11/Xlib.h>
9388              #include <X11/Xresource.h>
9389    int
9390    main ()
9391    {
9392    XIMProc  callback;
9393      ;
9394      return 0;
9395    }
9396    _ACEOF
9397    rm -f conftest.$ac_objext
9398    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9399      (eval $ac_compile) 2>&5
9400      ac_status=$?
9401      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9402      (exit $ac_status); } &&
9403             { ac_try='test -s conftest.$ac_objext'
9404      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9405      (eval $ac_try) 2>&5
9406      ac_status=$?
9407      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9408      (exit $ac_status); }; }; then
9409      HAVE_XIM=yes
9410    
9411    cat >>confdefs.h <<\_ACEOF
9412    #define HAVE_XIM 1
9413    _ACEOF
9414    
9415    else
9416      echo "$as_me: failed program was:" >&5
9417    sed 's/^/| /' conftest.$ac_ext >&5
9418    
9419    HAVE_XIM=no
9420    fi
9421    rm -f conftest.$ac_objext conftest.$ac_ext
9422    
9423    
9424  if test "${with_xim}" != "no"; then  if test "${with_xim}" != "no"; then
9425    
# Line 8833  _ACEOF Line 9429  _ACEOF
9429    
9430  fi  fi
9431    
9432    
9433    if test "${HAVE_XIM}" != "no"; then
9434      late_CFLAGS=$CFLAGS
9435      if test "$GCC" = yes; then
9436        CFLAGS="$CFLAGS --pedantic-errors"
9437      fi
9438      cat >conftest.$ac_ext <<_ACEOF
9439    #line $LINENO "configure"
9440    /* confdefs.h.  */
9441    _ACEOF
9442    cat confdefs.h >>conftest.$ac_ext
9443    cat >>conftest.$ac_ext <<_ACEOF
9444    /* end confdefs.h.  */
9445    
9446    #include <X11/Xlib.h>
9447    #include <X11/Xresource.h>
9448    int
9449    main ()
9450    {
9451    Display *display;
9452    XrmDatabase db;
9453    char *res_name;
9454    char *res_class;
9455    XIMProc  callback;
9456    XPointer *client_data;
9457    #ifndef __GNUC__
9458    /* If we're not using GCC, it's probably not XFree86, and this is
9459       probably right, but we can't use something like --pedantic-errors.  */
9460    extern Bool XRegisterIMInstantiateCallback(Display*, XrmDatabase, char*,
9461                                               char*, XIMProc, XPointer*);
9462    #endif
9463    (void)XRegisterIMInstantiateCallback(display, db, res_name, res_class, callback,
9464       client_data);
9465      ;
9466      return 0;
9467    }
9468    _ACEOF
9469    rm -f conftest.$ac_objext
9470    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9471      (eval $ac_compile) 2>&5
9472      ac_status=$?
9473      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9474      (exit $ac_status); } &&
9475             { ac_try='test -s conftest.$ac_objext'
9476      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9477      (eval $ac_try) 2>&5
9478      ac_status=$?
9479      echo "$as_me:$LINENO: \$? = $ac_status" >&5
9480      (exit $ac_status); }; }; then
9481      emacs_cv_arg6_star=yes
9482    else
9483      echo "$as_me: failed program was:" >&5
9484    sed 's/^/| /' conftest.$ac_ext >&5
9485    
9486    fi
9487    rm -f conftest.$ac_objext conftest.$ac_ext
9488    
9489      if test "$emacs_cv_arg6_star" = yes; then
9490        cat >>confdefs.h <<\_ACEOF
9491    #define XRegisterIMInstantiateCallback_arg6 XPointer*
9492    _ACEOF
9493    
9494      else
9495        cat >>confdefs.h <<\_ACEOF
9496    #define XRegisterIMInstantiateCallback_arg6 XPointer
9497    _ACEOF
9498    
9499      fi
9500      CFLAGS=$late_CFLAGS
9501    fi
9502    
9503  ### Use -lXpm if available, unless `--with-xpm=no'.  ### Use -lXpm if available, unless `--with-xpm=no'.
9504  HAVE_XPM=no  HAVE_XPM=no
9505  if test "${HAVE_X11}" = "yes"; then  if test "${HAVE_X11}" = "yes"; then
# Line 9306  fi Line 9973  fi
9973  HAVE_PNG=no  HAVE_PNG=no
9974  if test "${HAVE_X11}" = "yes"; then  if test "${HAVE_X11}" = "yes"; then
9975    if test "${with_png}" != "no"; then    if test "${with_png}" != "no"; then
9976      if test "${ac_cv_header_png_h+set}" = set; then      # Debian unstable as of July 2003 has multiple libpngs, and puts png.h
9977    echo "$as_me:$LINENO: checking for png.h" >&5      # in /usr/include/libpng.
9978  echo $ECHO_N "checking for png.h... $ECHO_C" >&6  
9979  if test "${ac_cv_header_png_h+set}" = set; then  
9980    for ac_header in png.h libpng/png.h
9981    do
9982    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
9983    if eval "test \"\${$as_ac_Header+set}\" = set"; then
9984      echo "$as_me:$LINENO: checking for $ac_header" >&5
9985    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
9986    if eval "test \"\${$as_ac_Header+set}\" = set"; then
9987    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
9988  fi  fi
9989  echo "$as_me:$LINENO: result: $ac_cv_header_png_h" >&5  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
9990  echo "${ECHO_T}$ac_cv_header_png_h" >&6  echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
9991  else  else
9992    # Is the header compilable?    # Is the header compilable?
9993  echo "$as_me:$LINENO: checking png.h usability" >&5  echo "$as_me:$LINENO: checking $ac_header usability" >&5
9994  echo $ECHO_N "checking png.h usability... $ECHO_C" >&6  echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
9995  cat >conftest.$ac_ext <<_ACEOF  cat >conftest.$ac_ext <<_ACEOF
9996  #line $LINENO "configure"  #line $LINENO "configure"
9997  /* confdefs.h.  */  /* confdefs.h.  */
# Line 9326  cat confdefs.h >>conftest.$ac_ext Line 10000  cat confdefs.h >>conftest.$ac_ext
10000  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
10001  /* end confdefs.h.  */  /* end confdefs.h.  */
10002  $ac_includes_default  $ac_includes_default
10003  #include <png.h>  #include <$ac_header>
10004  _ACEOF  _ACEOF
10005  rm -f conftest.$ac_objext  rm -f conftest.$ac_objext
10006  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 9352  echo "$as_me:$LINENO: result: $ac_header Line 10026  echo "$as_me:$LINENO: result: $ac_header
10026  echo "${ECHO_T}$ac_header_compiler" >&6  echo "${ECHO_T}$ac_header_compiler" >&6
10027    
10028  # Is the header present?  # Is the header present?
10029  echo "$as_me:$LINENO: checking png.h presence" >&5  echo "$as_me:$LINENO: checking $ac_header presence" >&5
10030  echo $ECHO_N "checking png.h presence... $ECHO_C" >&6  echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
10031  cat >conftest.$ac_ext <<_ACEOF  cat >conftest.$ac_ext <<_ACEOF
10032  #line $LINENO "configure"  #line $LINENO "configure"
10033  /* confdefs.h.  */  /* confdefs.h.  */
# Line 9361  _ACEOF Line 10035  _ACEOF
10035  cat confdefs.h >>conftest.$ac_ext  cat confdefs.h >>conftest.$ac_ext
10036  cat >>conftest.$ac_ext <<_ACEOF  cat >>conftest.$ac_ext <<_ACEOF
10037  /* end confdefs.h.  */  /* end confdefs.h.  */
10038  #include <png.h>  #include <$ac_header>
10039  _ACEOF  _ACEOF
10040  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10041    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
# Line 9394  echo "${ECHO_T}$ac_header_preproc" >&6 Line 10068  echo "${ECHO_T}$ac_header_preproc" >&6
10068  # So?  What about this header?  # So?  What about this header?
10069  case $ac_header_compiler:$ac_header_preproc in  case $ac_header_compiler:$ac_header_preproc in
10070    yes:no )    yes:no )
10071      { echo "$as_me:$LINENO: WARNING: png.h: accepted by the compiler, rejected by the preprocessor!" >&5      { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10072  echo "$as_me: WARNING: png.h: accepted by the compiler, rejected by the preprocessor!" >&2;}  echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10073      { echo "$as_me:$LINENO: WARNING: png.h: proceeding with the preprocessor's result" >&5      { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10074  echo "$as_me: WARNING: png.h: proceeding with the preprocessor's result" >&2;}  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10075      (      (
10076        cat <<\_ASBOX        cat <<\_ASBOX
10077  ## ------------------------------------ ##  ## ------------------------------------ ##
# Line 9408  _ASBOX Line 10082  _ASBOX
10082        sed "s/^/$as_me: WARNING:     /" >&2        sed "s/^/$as_me: WARNING:     /" >&2
10083      ;;      ;;
10084    no:yes )    no:yes )
10085      { echo "$as_me:$LINENO: WARNING: png.h: present but cannot be compiled" >&5      { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10086  echo "$as_me: WARNING: png.h: present but cannot be compiled" >&2;}  echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10087      { echo "$as_me:$LINENO: WARNING: png.h: check for missing prerequisite headers?" >&5      { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10088  echo "$as_me: WARNING: png.h: check for missing prerequisite headers?" >&2;}  echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10089      { echo "$as_me:$LINENO: WARNING: png.h: proceeding with the preprocessor's result" >&5      { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10090  echo "$as_me: WARNING: png.h: proceeding with the preprocessor's result" >&2;}  echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10091      (      (
10092        cat <<\_ASBOX        cat <<\_ASBOX
10093  ## ------------------------------------ ##  ## ------------------------------------ ##
# Line 9424  _ASBOX Line 10098  _ASBOX
10098        sed "s/^/$as_me: WARNING:     /" >&2        sed "s/^/$as_me: WARNING:     /" >&2
10099      ;;      ;;
10100  esac  esac
10101  echo "$as_me:$LINENO: checking for png.h" >&5  echo "$as_me:$LINENO: checking for $ac_header" >&5
10102  echo $ECHO_N "checking for png.h... $ECHO_C" >&6  echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10103  if test "${ac_cv_header_png_h+set}" = set; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
10104    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
10105  else  else
10106    ac_cv_header_png_h=$ac_header_preproc    eval "$as_ac_Header=$ac_header_preproc"
10107  fi  fi
10108  echo "$as_me:$LINENO: result: $ac_cv_header_png_h" >&5  echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10109  echo "${ECHO_T}$ac_cv_header_png_h" >&6  echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10110    
10111  fi  fi
10112  if test $ac_cv_header_png_h = yes; then  if test `eval echo '${'$as_ac_Header'}'` = yes; then
10113    echo "$as_me:$LINENO: checking for png_get_channels in -lpng" >&5    cat >>confdefs.h <<_ACEOF
10114    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10115    _ACEOF
10116    
10117    fi
10118    
10119    done
10120    
10121        if test "$ac_cv_header_png_h" = yes || test "$ac_cv_header_libpng_png_h" = yes ; then
10122          echo "$as_me:$LINENO: checking for png_get_channels in -lpng" >&5
10123  echo $ECHO_N "checking for png_get_channels in -lpng... $ECHO_C" >&6  echo $ECHO_N "checking for png_get_channels in -lpng... $ECHO_C" >&6
10124  if test "${ac_cv_lib_png_png_get_channels+set}" = set; then  if test "${ac_cv_lib_png_png_get_channels+set}" = set; then
10125    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
# Line 9494  if test $ac_cv_lib_png_png_get_channels Line 10177  if test $ac_cv_lib_png_png_get_channels
10177    HAVE_PNG=yes    HAVE_PNG=yes
10178  fi  fi
10179    
10180  fi      fi
   
   
10181    fi    fi
10182    
10183    if test "${HAVE_PNG}" = "yes"; then    if test "${HAVE_PNG}" = "yes"; then
# Line 10656  sed 's/^/| /' conftest.$ac_ext >&5 Line 11337  sed 's/^/| /' conftest.$ac_ext >&5
11337  ( exit $ac_status )  ( exit $ac_status )
11338  ac_cv_c_stack_direction=-1  ac_cv_c_stack_direction=-1
11339  fi  fi
11340  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11341  fi  fi
11342  fi  fi
11343  echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5  echo "$as_me:$LINENO: result: $ac_cv_c_stack_direction" >&5
# Line 10737  _ACEOF Line 11418  _ACEOF
11418  fi  fi
11419    
11420    
11421  # Check for mail-locking functions in a "mail" library  # Check for mail-locking functions in a "mail" library.  Probably this should
11422    # have the same check as for liblockfile below.
11423    
11424  echo "$as_me:$LINENO: checking for maillock in -lmail" >&5  echo "$as_me:$LINENO: checking for maillock in -lmail" >&5
11425  echo $ECHO_N "checking for maillock in -lmail... $ECHO_C" >&6  echo $ECHO_N "checking for maillock in -lmail... $ECHO_C" >&6
# Line 10915  echo "$as_me: error: Shared liblockfile Line 11597  echo "$as_me: error: Shared liblockfile
11597  This probably means that movemail could lose mail.  This probably means that movemail could lose mail.
11598  There may be a \`development' package to install containing liblockfile." >&2;}  There may be a \`development' package to install containing liblockfile." >&2;}
11599     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
   else  
 cat >>confdefs.h <<\_ACEOF  
 #define LIBMAIL -llockfile  
 _ACEOF  
   
   fi  
11600    else :    else :
11601      fi
11602  fi  fi
11603    
11604  for ac_func in touchlock  for ac_func in touchlock
# Line 11212  done Line 11889  done
11889    
11890    
11891    
11892    
11893    
11894    
11895    
11896    
11897  for ac_func in gethostname getdomainname dup2 \  for ac_func in gethostname getdomainname dup2 \
11898  rename closedir mkdir rmdir sysinfo \  rename closedir mkdir rmdir sysinfo \
11899  random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \  random lrand48 bcopy bcmp logb frexp fmod rint cbrt ftime res_init setsid \
11900  strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \  strerror fpathconf select mktime euidaccess getpagesize tzset setlocale \
11901  utimes setrlimit setpgid getcwd getwd shutdown strftime getaddrinfo \  utimes setrlimit setpgid getcwd getwd shutdown getaddrinfo \
11902  __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \  __fpending mblen mbrlen mbsinit strsignal setitimer ualarm index rindex \
11903  sendto recvfrom getsockopt setsockopt getsockname getpeername \  sendto recvfrom getsockopt setsockopt getsockname getpeername \
11904  gai_strerror mkstemp getline getdelim mremap memmove fsync bzero \  gai_strerror mkstemp getline getdelim mremap memmove fsync bzero \
11905  memset memcmp memmove  memset memcmp memmove difftime memcpy mempcpy mblen mbrlen posix_memalign
11906  do  do
11907  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
11908  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 11855  sed 's/^/| /' conftest.$ac_ext >&5 Line 12537  sed 's/^/| /' conftest.$ac_ext >&5
12537  ( exit $ac_status )  ( exit $ac_status )
12538  ac_cv_func_working_mktime=no  ac_cv_func_working_mktime=no
12539  fi  fi
12540  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
12541  fi  fi
12542  fi  fi
12543  echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5  echo "$as_me:$LINENO: result: $ac_cv_func_working_mktime" >&5
# Line 13838  _ACEOF Line 14520  _ACEOF
14520  fi  fi
14521    
14522    
14523    
14524    for ac_func in strftime
14525    do
14526    as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
14527    echo "$as_me:$LINENO: checking for $ac_func" >&5
14528    echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
14529    if eval "test \"\${$as_ac_var+set}\" = set"; then
14530      echo $ECHO_N "(cached) $ECHO_C" >&6
14531    else
14532      cat >conftest.$ac_ext <<_ACEOF
14533    #line $LINENO "configure"
14534    /* confdefs.h.  */
14535    _ACEOF
14536    cat confdefs.h >>conftest.$ac_ext
14537    cat >>conftest.$ac_ext <<_ACEOF
14538    /* end confdefs.h.  */
14539    /* System header to define __stub macros and hopefully few prototypes,
14540        which can conflict with char $ac_func (); below.
14541        Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
14542        <limits.h> exists even on freestanding compilers.  */
14543    #ifdef __STDC__
14544    # include <limits.h>
14545    #else
14546    # include <assert.h>
14547    #endif
14548    /* Override any gcc2 internal prototype to avoid an error.  */
14549    #ifdef __cplusplus
14550    extern "C"
14551    {
14552    #endif
14553    /* We use char because int might match the return type of a gcc2
14554       builtin and then its argument prototype would still apply.  */
14555    char $ac_func ();
14556    /* The GNU C library defines this for functions which it implements
14557        to always fail with ENOSYS.  Some functions are actually named
14558        something starting with __ and the normal name is an alias.  */
14559    #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
14560    choke me
14561    #else
14562    char (*f) () = $ac_func;
14563    #endif
14564    #ifdef __cplusplus
14565    }
14566    #endif
14567    
14568    int
14569    main ()
14570    {
14571    return f != $ac_func;
14572      ;
14573      return 0;
14574    }
14575    _ACEOF
14576    rm -f conftest.$ac_objext conftest$ac_exeext
14577    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
14578      (eval $ac_link) 2>&5
14579      ac_status=$?
14580      echo "$as_me:$LINENO: \$? = $ac_status" >&5
14581      (exit $ac_status); } &&
14582             { ac_try='test -s conftest$ac_exeext'
14583      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
14584      (eval $ac_try) 2>&5
14585      ac_status=$?
14586      echo "$as_me:$LINENO: \$? = $ac_status" >&5
14587      (exit $ac_status); }; }; then
14588      eval "$as_ac_var=yes"
14589    else
14590      echo "$as_me: failed program was:" >&5
14591    sed 's/^/| /' conftest.$ac_ext >&5
14592    
14593    eval "$as_ac_var=no"
14594    fi
14595    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
14596    fi
14597    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
14598    echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
14599    if test `eval echo '${'$as_ac_var'}'` = yes; then
14600      cat >>confdefs.h <<_ACEOF
14601    #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
14602    _ACEOF
14603    
14604    else
14605      # strftime is in -lintl on SCO UNIX.
14606    echo "$as_me:$LINENO: checking for strftime in -lintl" >&5
14607    echo $ECHO_N "checking for strftime in -lintl... $ECHO_C" >&6
14608    if test "${ac_cv_lib_intl_strftime+set}" = set; then
14609      echo $ECHO_N "(cached) $ECHO_C" >&6
14610    else
14611      ac_check_lib_save_LIBS=$LIBS
14612    LIBS="-lintl  $LIBS"
14613    cat >conftest.$ac_ext <<_ACEOF
14614    #line $LINENO "configure"
14615    /* confdefs.h.  */
14616    _ACEOF
14617    cat confdefs.h >>conftest.$ac_ext
14618    cat >>conftest.$ac_ext <<_ACEOF
14619    /* end confdefs.h.  */
14620    
14621    /* Override any gcc2 internal prototype to avoid an error.  */
14622    #ifdef __cplusplus
14623    extern "C"
14624    #endif
14625    /* We use char because int might match the return type of a gcc2
14626       builtin and then its argument prototype would still apply.  */
14627    char strftime ();
14628    int
14629    main ()
14630    {
14631    strftime ();
14632      ;
14633      return 0;
14634    }
14635    _ACEOF
14636    rm -f conftest.$ac_objext conftest$ac_exeext
14637    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
14638      (eval $ac_link) 2>&5
14639      ac_status=$?
14640      echo "$as_me:$LINENO: \$? = $ac_status" >&5
14641      (exit $ac_status); } &&
14642             { ac_try='test -s conftest$ac_exeext'
14643      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
14644      (eval $ac_try) 2>&5
14645      ac_status=$?
14646      echo "$as_me:$LINENO: \$? = $ac_status" >&5
14647      (exit $ac_status); }; }; then
14648      ac_cv_lib_intl_strftime=yes
14649    else
14650      echo "$as_me: failed program was:" >&5
14651    sed 's/^/| /' conftest.$ac_ext >&5
14652    
14653    ac_cv_lib_intl_strftime=no
14654    fi
14655    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
14656    LIBS=$ac_check_lib_save_LIBS
14657    fi
14658    echo "$as_me:$LINENO: result: $ac_cv_lib_intl_strftime" >&5
14659    echo "${ECHO_T}$ac_cv_lib_intl_strftime" >&6
14660    if test $ac_cv_lib_intl_strftime = yes; then
14661      cat >>confdefs.h <<\_ACEOF
14662    #define HAVE_STRFTIME 1
14663    _ACEOF
14664    
14665    LIBS="-lintl $LIBS"
14666    fi
14667    
14668    fi
14669    done
14670    
14671    
14672  # UNIX98 PTYs.  # UNIX98 PTYs.
14673    
14674  for ac_func in grantpt  for ac_func in grantpt
# Line 16305  sed 's/^/| /' conftest.$ac_ext >&5 Line 17136  sed 's/^/| /' conftest.$ac_ext >&5
17136  ( exit $ac_status )  ( exit $ac_status )
17137  emacs_cv_localtime_cache=yes  emacs_cv_localtime_cache=yes
17138  fi  fi
17139  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
17140  fi  fi
17141  else  else
17142          # If we lack tzset, report that localtime does not cache TZ,          # If we lack tzset, report that localtime does not cache TZ,
# Line 16474  _ACEOF Line 17305  _ACEOF
17305    fi    fi
17306  fi  fi
17307    
17308    # This defines (or not) HAVE_TZNAME and HAVE_TM_ZONE.
17309    echo "$as_me:$LINENO: checking for struct tm.tm_zone" >&5
17310    echo $ECHO_N "checking for struct tm.tm_zone... $ECHO_C" >&6
17311    if test "${ac_cv_member_struct_tm_tm_zone+set}" = set; then
17312      echo $ECHO_N "(cached) $ECHO_C" >&6
17313    else
17314      cat >conftest.$ac_ext <<_ACEOF
17315    #line $LINENO "configure"
17316    /* confdefs.h.  */
17317    _ACEOF
17318    cat confdefs.h >>conftest.$ac_ext
17319    cat >>conftest.$ac_ext <<_ACEOF
17320    /* end confdefs.h.  */
17321    #include <sys/types.h>
17322    #include <$ac_cv_struct_tm>
17323    
17324    
17325    int
17326    main ()
17327    {
17328    static struct tm ac_aggr;
17329    if (ac_aggr.tm_zone)
17330    return 0;
17331      ;
17332      return 0;
17333    }
17334    _ACEOF
17335    rm -f conftest.$ac_objext
17336    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
17337      (eval $ac_compile) 2>&5
17338      ac_status=$?
17339      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17340      (exit $ac_status); } &&
17341             { ac_try='test -s conftest.$ac_objext'
17342      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
17343      (eval $ac_try) 2>&5
17344      ac_status=$?
17345      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17346      (exit $ac_status); }; }; then
17347      ac_cv_member_struct_tm_tm_zone=yes
17348    else
17349      echo "$as_me: failed program was:" >&5
17350    sed 's/^/| /' conftest.$ac_ext >&5
17351    
17352    cat >conftest.$ac_ext <<_ACEOF
17353    #line $LINENO "configure"
17354    /* confdefs.h.  */
17355    _ACEOF
17356    cat confdefs.h >>conftest.$ac_ext
17357    cat >>conftest.$ac_ext <<_ACEOF
17358    /* end confdefs.h.  */
17359    #include <sys/types.h>
17360    #include <$ac_cv_struct_tm>
17361    
17362    
17363    int
17364    main ()
17365    {
17366    static struct tm ac_aggr;
17367    if (sizeof ac_aggr.tm_zone)
17368    return 0;
17369      ;
17370      return 0;
17371    }
17372    _ACEOF
17373    rm -f conftest.$ac_objext
17374    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
17375      (eval $ac_compile) 2>&5
17376      ac_status=$?
17377      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17378      (exit $ac_status); } &&
17379             { ac_try='test -s conftest.$ac_objext'
17380      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
17381      (eval $ac_try) 2>&5
17382      ac_status=$?
17383      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17384      (exit $ac_status); }; }; then
17385      ac_cv_member_struct_tm_tm_zone=yes
17386    else
17387      echo "$as_me: failed program was:" >&5
17388    sed 's/^/| /' conftest.$ac_ext >&5
17389    
17390    ac_cv_member_struct_tm_tm_zone=no
17391    fi
17392    rm -f conftest.$ac_objext conftest.$ac_ext
17393    fi
17394    rm -f conftest.$ac_objext conftest.$ac_ext
17395    fi
17396    echo "$as_me:$LINENO: result: $ac_cv_member_struct_tm_tm_zone" >&5
17397    echo "${ECHO_T}$ac_cv_member_struct_tm_tm_zone" >&6
17398    if test $ac_cv_member_struct_tm_tm_zone = yes; then
17399    
17400    cat >>confdefs.h <<_ACEOF
17401    #define HAVE_STRUCT_TM_TM_ZONE 1
17402    _ACEOF
17403    
17404    
17405    fi
17406    
17407    if test "$ac_cv_member_struct_tm_tm_zone" = yes; then
17408    
17409    cat >>confdefs.h <<\_ACEOF
17410    #define HAVE_TM_ZONE 1
17411    _ACEOF
17412    
17413    else
17414      echo "$as_me:$LINENO: checking for tzname" >&5
17415    echo $ECHO_N "checking for tzname... $ECHO_C" >&6
17416    if test "${ac_cv_var_tzname+set}" = set; then
17417      echo $ECHO_N "(cached) $ECHO_C" >&6
17418    else
17419      cat >conftest.$ac_ext <<_ACEOF
17420    #line $LINENO "configure"
17421    /* confdefs.h.  */
17422    _ACEOF
17423    cat confdefs.h >>conftest.$ac_ext
17424    cat >>conftest.$ac_ext <<_ACEOF
17425    /* end confdefs.h.  */
17426    #include <time.h>
17427    #ifndef tzname /* For SGI.  */
17428    extern char *tzname[]; /* RS6000 and others reject char **tzname.  */
17429    #endif
17430    
17431    int
17432    main ()
17433    {
17434    atoi(*tzname);
17435      ;
17436      return 0;
17437    }
17438    _ACEOF
17439    rm -f conftest.$ac_objext conftest$ac_exeext
17440    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
17441      (eval $ac_link) 2>&5
17442      ac_status=$?
17443      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17444      (exit $ac_status); } &&
17445             { ac_try='test -s conftest$ac_exeext'
17446      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
17447      (eval $ac_try) 2>&5
17448      ac_status=$?
17449      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17450      (exit $ac_status); }; }; then
17451      ac_cv_var_tzname=yes
17452    else
17453      echo "$as_me: failed program was:" >&5
17454    sed 's/^/| /' conftest.$ac_ext >&5
17455    
17456    ac_cv_var_tzname=no
17457    fi
17458    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
17459    fi
17460    echo "$as_me:$LINENO: result: $ac_cv_var_tzname" >&5
17461    echo "${ECHO_T}$ac_cv_var_tzname" >&6
17462      if test $ac_cv_var_tzname = yes; then
17463    
17464    cat >>confdefs.h <<\_ACEOF
17465    #define HAVE_TZNAME 1
17466    _ACEOF
17467    
17468      fi
17469    fi
17470    
17471    
17472  if test "$ac_cv_func_gettimeofday" = yes; then  if test "$ac_cv_func_gettimeofday" = yes; then
17473    echo "$as_me:$LINENO: checking for struct timezone" >&5    echo "$as_me:$LINENO: checking for struct timezone" >&5
17474  echo $ECHO_N "checking for struct timezone... $ECHO_C" >&6  echo $ECHO_N "checking for struct timezone... $ECHO_C" >&6
# Line 16555  sed 's/^/| /' conftest.$ac_ext >&5 Line 17550  sed 's/^/| /' conftest.$ac_ext >&5
17550  ( exit $ac_status )  ( exit $ac_status )
17551  emacs_cv_struct_timezone=no  emacs_cv_struct_timezone=no
17552  fi  fi
17553  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
17554  fi  fi
17555  else  else
17556    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
# Line 16932  _ACEOF Line 17927  _ACEOF
17927    
17928  fi  fi
17929    
17930    
17931    
17932    for ac_header in sys/ioctl.h net/if.h
17933    do
17934    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
17935    if eval "test \"\${$as_ac_Header+set}\" = set"; then
17936      echo "$as_me:$LINENO: checking for $ac_header" >&5
17937    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
17938    if eval "test \"\${$as_ac_Header+set}\" = set"; then
17939      echo $ECHO_N "(cached) $ECHO_C" >&6
17940    fi
17941    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
17942    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
17943    else
17944      # Is the header compilable?
17945    echo "$as_me:$LINENO: checking $ac_header usability" >&5
17946    echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
17947    cat >conftest.$ac_ext <<_ACEOF
17948    #line $LINENO "configure"
17949    /* confdefs.h.  */
17950    _ACEOF
17951    cat confdefs.h >>conftest.$ac_ext
17952    cat >>conftest.$ac_ext <<_ACEOF
17953    /* end confdefs.h.  */
17954    $ac_includes_default
17955    #include <$ac_header>
17956    _ACEOF
17957    rm -f conftest.$ac_objext
17958    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
17959      (eval $ac_compile) 2>&5
17960      ac_status=$?
17961      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17962      (exit $ac_status); } &&
17963             { ac_try='test -s conftest.$ac_objext'
17964      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
17965      (eval $ac_try) 2>&5
17966      ac_status=$?
17967      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17968      (exit $ac_status); }; }; then
17969      ac_header_compiler=yes
17970    else
17971      echo "$as_me: failed program was:" >&5
17972    sed 's/^/| /' conftest.$ac_ext >&5
17973    
17974    ac_header_compiler=no
17975    fi
17976    rm -f conftest.$ac_objext conftest.$ac_ext
17977    echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
17978    echo "${ECHO_T}$ac_header_compiler" >&6
17979    
17980    # Is the header present?
17981    echo "$as_me:$LINENO: checking $ac_header presence" >&5
17982    echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
17983    cat >conftest.$ac_ext <<_ACEOF
17984    #line $LINENO "configure"
17985    /* confdefs.h.  */
17986    _ACEOF
17987    cat confdefs.h >>conftest.$ac_ext
17988    cat >>conftest.$ac_ext <<_ACEOF
17989    /* end confdefs.h.  */
17990    #include <$ac_header>
17991    _ACEOF
17992    if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
17993      (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
17994      ac_status=$?
17995      grep -v '^ *+' conftest.er1 >conftest.err
17996      rm -f conftest.er1
17997      cat conftest.err >&5
17998      echo "$as_me:$LINENO: \$? = $ac_status" >&5
17999      (exit $ac_status); } >/dev/null; then
18000      if test -s conftest.err; then
18001        ac_cpp_err=$ac_c_preproc_warn_flag
18002      else
18003        ac_cpp_err=
18004      fi
18005    else
18006      ac_cpp_err=yes
18007    fi
18008    if test -z "$ac_cpp_err"; then
18009      ac_header_preproc=yes
18010    else
18011      echo "$as_me: failed program was:" >&5
18012    sed 's/^/| /' conftest.$ac_ext >&5
18013    
18014      ac_header_preproc=no
18015    fi
18016    rm -f conftest.err conftest.$ac_ext
18017    echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
18018    echo "${ECHO_T}$ac_header_preproc" >&6
18019    
18020    # So?  What about this header?
18021    case $ac_header_compiler:$ac_header_preproc in
18022      yes:no )
18023        { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
18024    echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
18025        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
18026    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
18027        (
18028          cat <<\_ASBOX
18029    ## ------------------------------------ ##
18030    ## Report this to bug-autoconf@gnu.org. ##
18031    ## ------------------------------------ ##
18032    _ASBOX
18033        ) |
18034          sed "s/^/$as_me: WARNING:     /" >&2
18035        ;;
18036      no:yes )
18037        { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
18038    echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
18039        { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
18040    echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
18041        { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
18042    echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
18043        (
18044          cat <<\_ASBOX
18045    ## ------------------------------------ ##
18046    ## Report this to bug-autoconf@gnu.org. ##
18047    ## ------------------------------------ ##
18048    _ASBOX
18049        ) |
18050          sed "s/^/$as_me: WARNING:     /" >&2
18051        ;;
18052    esac
18053    echo "$as_me:$LINENO: checking for $ac_header" >&5
18054    echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
18055    if eval "test \"\${$as_ac_Header+set}\" = set"; then
18056      echo $ECHO_N "(cached) $ECHO_C" >&6
18057    else
18058      eval "$as_ac_Header=$ac_header_preproc"
18059    fi
18060    echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
18061    echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
18062    
18063    fi
18064    if test `eval echo '${'$as_ac_Header'}'` = yes; then
18065      cat >>confdefs.h <<_ACEOF
18066    #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
18067    _ACEOF
18068    
18069    fi
18070    
18071    done
18072    
18073    
18074  if test -f /usr/lpp/X11/bin/smt.exp; then  if test -f /usr/lpp/X11/bin/smt.exp; then
18075    
18076  cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<\_ACEOF
# Line 17283  sed 's/^/| /' conftest.$ac_ext >&5 Line 18422  sed 's/^/| /' conftest.$ac_ext >&5
18422  ( exit $ac_status )  ( exit $ac_status )
18423  ac_cv_func_fork_works=no  ac_cv_func_fork_works=no
18424  fi  fi
18425  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
18426  fi  fi
18427  fi  fi
18428  echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5  echo "$as_me:$LINENO: result: $ac_cv_func_fork_works" >&5
# Line 17438  sed 's/^/| /' conftest.$ac_ext >&5 Line 18577  sed 's/^/| /' conftest.$ac_ext >&5
18577  ( exit $ac_status )  ( exit $ac_status )
18578  ac_cv_func_vfork_works=no  ac_cv_func_vfork_works=no
18579  fi  fi
18580  rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
18581  fi  fi
18582  fi  fi
18583  echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5  echo "$as_me:$LINENO: result: $ac_cv_func_vfork_works" >&5
# Line 17583  _ACEOF Line 18722  _ACEOF
18722  fi  fi
18723    
18724    
18725    echo "$as_me:$LINENO: checking for mbstate_t" >&5
18726    echo $ECHO_N "checking for mbstate_t... $ECHO_C" >&6
18727    if test "${ac_cv_type_mbstate_t+set}" = set; then
18728      echo $ECHO_N "(cached) $ECHO_C" >&6
18729    else
18730      cat >conftest.$ac_ext <<_ACEOF
18731    #line $LINENO "configure"
18732    /* confdefs.h.  */
18733    _ACEOF
18734    cat confdefs.h >>conftest.$ac_ext
18735    cat >>conftest.$ac_ext <<_ACEOF
18736    /* end confdefs.h.  */
18737    $ac_includes_default
18738    #           include <wchar.h>
18739    int
18740    main ()
18741    {
18742    mbstate_t x; return sizeof x;
18743      ;
18744      return 0;
18745    }
18746    _ACEOF
18747    rm -f conftest.$ac_objext
18748    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
18749      (eval $ac_compile) 2>&5
18750      ac_status=$?
18751      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18752      (exit $ac_status); } &&
18753             { ac_try='test -s conftest.$ac_objext'
18754      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
18755      (eval $ac_try) 2>&5
18756      ac_status=$?
18757      echo "$as_me:$LINENO: \$? = $ac_status" >&5
18758      (exit $ac_status); }; }; then
18759      ac_cv_type_mbstate_t=yes
18760    else
18761      echo "$as_me: failed program was:" >&5
18762    sed 's/^/| /' conftest.$ac_ext >&5
18763    
18764    ac_cv_type_mbstate_t=no
18765    fi
18766    rm -f conftest.$ac_objext conftest.$ac_ext
18767    fi
18768    echo "$as_me:$LINENO: result: $ac_cv_type_mbstate_t" >&5
18769    echo "${ECHO_T}$ac_cv_type_mbstate_t" >&6
18770       if test $ac_cv_type_mbstate_t = yes; then
18771    
18772    cat >>confdefs.h <<\_ACEOF
18773    #define HAVE_MBSTATE_T 1
18774    _ACEOF
18775    
18776       else
18777    
18778    cat >>confdefs.h <<\_ACEOF
18779    #define mbstate_t int
18780    _ACEOF
18781    
18782       fi
18783    
18784  echo "$as_me:$LINENO: checking for C restrict keyword" >&5  echo "$as_me:$LINENO: checking for C restrict keyword" >&5
18785  echo $ECHO_N "checking for C restrict keyword... $ECHO_C" >&6  echo $ECHO_N "checking for C restrict keyword... $ECHO_C" >&6
18786  if test "${emacs_cv_c_restrict+set}" = set; then  if test "${emacs_cv_c_restrict+set}" = set; then
# Line 17728  _ACEOF Line 18926  _ACEOF
18926  fi  fi
18927    
18928    
 for ac_header in nlist.h  
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking $ac_header usability" >&5  
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 $ac_includes_default  
 #include <$ac_header>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
 ac_header_compiler=no  
 fi  
 rm -f conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
   
 # Is the header present?  
 echo "$as_me:$LINENO: checking $ac_header presence" >&5  
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 /* confdefs.h.  */  
 _ACEOF  
 cat confdefs.h >>conftest.$ac_ext  
 cat >>conftest.$ac_ext <<_ACEOF  
 /* end confdefs.h.  */  
 #include <$ac_header>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   grep -v '^ *+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 sed 's/^/| /' conftest.$ac_ext >&5  
   
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
   
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc in  
   yes:no )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}  
     (  
       cat <<\_ASBOX  
 ## ------------------------------------ ##  
 ## Report this to bug-autoconf@gnu.org. ##  
 ## ------------------------------------ ##  
 _ASBOX  
     ) |  
       sed "s/^/$as_me: WARNING:     /" >&2  
     ;;  
   no:yes )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}  
     (  
       cat <<\_ASBOX  
 ## ------------------------------------ ##  
 ## Report this to bug-autoconf@gnu.org. ##  
 ## ------------------------------------ ##  
 _ASBOX  
     ) |  
       sed "s/^/$as_me: WARNING:     /" >&2  
     ;;  
 esac  
 echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   eval "$as_ac_Header=$ac_header_preproc"  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
   
 fi  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
 _ACEOF  
   
 cat >>confdefs.h <<\_ACEOF  
 #define NLIST_STRUCT 1  
 _ACEOF  
   
 fi  
   
 done  
   
   
   
18929    
18930  # Set up the CFLAGS for real compilation, so we can substitute it.  # Set up the CFLAGS for real compilation, so we can substitute it.
18931  CFLAGS="$REAL_CFLAGS"  CFLAGS="$REAL_CFLAGS"
# Line 18723  s,@ECHO_C@,$ECHO_C,;t t Line 19774  s,@ECHO_C@,$ECHO_C,;t t
19774  s,@ECHO_N@,$ECHO_N,;t t  s,@ECHO_N@,$ECHO_N,;t t
19775  s,@ECHO_T@,$ECHO_T,;t t  s,@ECHO_T@,$ECHO_T,;t t
19776  s,@LIBS@,$LIBS,;t t  s,@LIBS@,$LIBS,;t t
19777    s,@MAINT@,$MAINT,;t t
19778  s,@build@,$build,;t t  s,@build@,$build,;t t
19779  s,@build_cpu@,$build_cpu,;t t  s,@build_cpu@,$build_cpu,;t t
19780  s,@build_vendor@,$build_vendor,;t t  s,@build_vendor@,$build_vendor,;t t

Legend:
Removed from v.1.92.2.1  
changed lines
  Added in v.1.92.2.2

savannah-hackers-public@gnu.org
ViewVC Help
Powered by ViewVC 1.1.26